linux wayland

soloturn's Avatar

soloturn

14 Oct, 2019 12:28 AM

when used from linux wayland the following errors show up::

qt: Wayland does not support QWindow::requestActivate()
qt: Non-toplevel surfaces can't request window states

versions used:
https://git.archlinux.org/svntogit/community.git/tree/trunk/PKGBUILD?h=packages/anki

on one PC it keeps crashing with a core dump, i'd wonder why and how better debug it. any hints would be appreciated.

Anki 2.1.15 (442df9d6) Python 3.7.4 Qt 5.13.1 PyQt 5.13.1
Platform: Linux
Flags: frz=False ao=False sv=1

Add-ons:

  1. 1 Posted by soloturn on 14 Oct, 2019 12:30 AM

    soloturn's Avatar

    Anki 2.1.15 (442df9d6) Python 3.7.4 Qt 5.13.1 PyQt 5.13.1
    Platform: Linux
    Flags: frz=False ao=False sv=1

    Add-ons:

  2. Support Staff 2 Posted by Damien Elmes on 14 Oct, 2019 03:57 AM

    Damien Elmes's Avatar

Reply to this discussion

Internal reply

Formatting help / Preview (switch to plain text) No formatting (switch to Markdown)

Attaching KB article:

»

Attached Files

You can attach files up to 10MB

If you don't have an account yet, we need to confirm you're human and not a machine trying to post spam.

Keyboard shortcuts

Generic

? Show this help
ESC Blurs the current field

Comment Form

r Focus the comment reply box
^ + ↩ Submit the comment

You can use Command ⌘ instead of Control ^ on Mac